Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.domain.util
Class ReflectionToStringBuilder

    java.lang.Object
      org.apache.commons.lang.builder.ToStringBuilder
          org.apache.commons.lang.builder.ReflectionToStringBuilder
              org.acegisecurity.domain.util.ReflectionToStringBuilder

    public class ReflectionToStringBuilder

extends org.apache.commons.lang.builder.ReflectionToStringBuilder

Customized Commons Lang `ReflectionToStringBuilder` that ignores collections and inaccessible (ie lazy-loaded) fields.

Version:
  $Id: ReflectionToStringBuilder.java,v 1.3 2005/11/17 00:55:50 benalex Exp $
Author:
  Carlos Sanchez, Ben Alex

Field Summary
`protected org.apache.commons.logging.Log` | `logger`

Constructor Summary
`ReflectionToStringBuilder(Object object)`

Method Summary
`protected boolean` | `accept(Field field)`
`protected Object` | `getValue(Field f)` Calendar fields are formatted with DateFormat.getDateTimeInstance() instead of using Calendar.toString().

Methods inherited from class org.apache.commons.lang.builder.ReflectionToStringBuilder
`appendFieldsIn, getUpToClass, isAppendTransients, reflectionAppendArray, setAppendTransients, setUpToClass, toString, toString, toString, toString, toString`

Methods inherited from class org.apache.commons.lang.builder.ToStringBuilder
`append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, append, appendAsObjectToString, appendSuper, appendToString, getDefaultStyle, getObject, getStringBuffer, getStyle, reflectionToString, reflectionToString, reflectionToString, reflectionToString, setDefaultStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected final transient org.apache.commons.logging.Log logger

Constructor Detail

### ReflectionToStringBuilder

    public ReflectionToStringBuilder(Object object)

Method Detail

### getValue

    protected Object getValue(Field f)
                       throws IllegalArgumentException,
                              IllegalAccessException

  Calendar fields are formatted with DateFormat.getDateTimeInstance() instead of using Calendar.toString().

  Overrides:
    `getValue` in class `org.apache.commons.lang.builder.ReflectionToStringBuilder`
  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
  See Also:
    `ReflectionToStringBuilder.getValue(java.lang.reflect.Field)`

### accept

    protected boolean accept(Field field)

  Overrides:
    `accept` in class `org.apache.commons.lang.builder.ReflectionToStringBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.